%global packname  V8
%global rlibdir  %{_libdir}/R/library

# rmarkdown is not yet available.
%global with_doc 0

Name:             R-%{packname}
Version:          1.5
Release:          5%{?dist}
Summary:          Embedded JavaScript Engine for R

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# v8-314 does not build on all arches
# https://bugzilla.redhat.com/show_bug.cgi?id=1471785
ExcludeArch:      aarch64 ppc64le s390x

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp R-jsonlite R-curl R-utils
# Suggests:  R-testthat R-knitr R-rmarkdown
# LinkingTo:
# Enhances:

Requires:         R-Rcpp R-jsonlite R-curl R-utils
Requires:         js-underscore
BuildRequires:    R-devel tex(latex)
BuildRequires:    v8-314-devel
BuildRequires:    web-assets-devel
BuildRequires:    js-underscore
BuildRequires:    R-Rcpp-devel R-jsonlite R-curl R-utils
BuildRequires:    R-testthat
%if %{with_doc}
BuildRequires:    R-knitr R-rmarkdown
%endif

# This is not packaged and it's only used to make sure example docs build when
# offline anyway.
Provides:         bundled(js-crossfilter) = 1.3.12

%description
An R interface to Google's open source JavaScript engine. V8 is written in
C++ and implements ECMAScript as specified in ECMA-262, 5th edition. In
addition, this package implements typed arrays as specified in ECMA 6 used
for high-performance computing and libraries compiled with 'emscripten'.


%prep
%setup -q -c -n %{packname}

# Replace bundled copy with symlink to packaged version.
ln -sf %{_jsdir}/underscore/underscore-min.js %{packname}/inst/js/underscore.js


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_doc}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/js
%{rlibdir}/%{packname}/libs


%changelog
* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 1.5-5
- rebuild for R 3.5.0

* Sun Mar 18 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5-4
- Add missing Rcpp Requires

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5-2
- Use jsdir macro for JavaScript files

* Thu Nov 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5-1
- initial package for Fedora
